Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.beans.factory.config
Interface BeanExpressionResolver

All Known Implementing Classes:
  StandardBeanExpressionResolver

    public interface BeanExpressionResolver

Strategy interface for resolving a value through evaluating it as an expression, if applicable.

A raw `BeanFactory` does not contain a default implementation of this strategy. However, `ApplicationContext` implementations will provide expression support out of the box.

Since:
  3.0
Author:
  Juergen Hoeller

Method Summary
`Object` | `evaluate(String value, BeanExpressionContext evalContext)` Evaluate the given value as an expression, if applicable; return the value as-is otherwise.

Method Detail

### evaluate

    Object evaluate(String value,
                    BeanExpressionContext evalContext)
                    throws BeansException

  Evaluate the given value as an expression, if applicable; return the value as-is otherwise.

  Parameters:
    `value` - the value to check
    `evalContext` - the evaluation context
  Returns:
    the resolved value (potentially the given value as-is)
  Throws:
    `BeansException` - if evaluation failed

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD